
TYPO3.TYPO3CR - Bug # 32667

Status: Resolved Priority: -- undefined --
Author: Jonathan Starck Category:
Created: 2011-12-18 Assigned To:
Updated: 2012-01-21 Due date:
Subject: TYPO3\TYPO3CR\Exception\NodeException thrown in file 

TYPO3_TYPO3CR_Domain_Model_Node_Original.php
Description

The security context is not yet intialized, thus the Node "/sites/phoenixdemotypo3org/homepage/adminpage" cannot determine if it is
accessible. Some code part is calling isAccessible() early than is possible at that initialization stage.
19 TYPO3\TYPO3CR\Domain\Model\Node_Original::isAccessible()

18 TYPO3\TYPO3\Controller\Frontend\NodeController_Original::showAction(TYPO3\TYPO3CR\Domain\Model\Node)

17 call_user_func_array(array, array)

16 TYPO3\FLOW3\MVC\Controller\ActionController_Original::callActionMethod()

15 TYPO3\FLOW3\MVC\Controller\ActionController_Original::processRequest(TYPO3\FLOW3\MVC\Web\Request,
TYPO3\FLOW3\MVC\Web\Response)

14 TYPO3\FLOW3\MVC\Dispatcher_Original::dispatch(TYPO3\FLOW3\MVC\Web\Request, TYPO3\FLOW3\MVC\Web\Response)

13 TYPO3\FLOW3\MVC\Dispatcher::dispatch(TYPO3\FLOW3\MVC\Web\Request, TYPO3\FLOW3\MVC\Web\Response)

12 call_user_func_array(array, array)

11 TYPO3\FLOW3\MVC\Dispatcher::FLOW3_AOP_Proxy_invokeJoinPoint(TYPO3\FLOW3\AOP\JoinPoint)

10 TYPO3\FLOW3\AOP\Advice\AdviceChain::proceed(TYPO3\FLOW3\AOP\JoinPoint)

9
TYPO3\FLOW3\Security\Aspect\RequestDispatchingAspect_Original::setAccessDeniedResponseHeader(TYPO3\FLOW3\AOP\JoinPo
oint)

8 TYPO3\FLOW3\AOP\Advice\AroundAdvice::invoke(TYPO3\FLOW3\AOP\JoinPoint)

7 TYPO3\FLOW3\AOP\Advice\AdviceChain::proceed(TYPO3\FLOW3\AOP\JoinPoint)

6
TYPO3\FLOW3\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TY
YPO3\FLOW3\AOP\JoinPoint)

5 TYPO3\FLOW3\AOP\Advice\AroundAdvice::invoke(TYPO3\FLOW3\AOP\JoinPoint)

4 TYPO3\FLOW3\AOP\Advice\AdviceChain::proceed(TYPO3\FLOW3\AOP\JoinPoint)

3 TYPO3\FLOW3\MVC\Dispatcher::dispatch(TYPO3\FLOW3\MVC\Web\Request, TYPO3\FLOW3\MVC\Web\Response)

2 TYPO3\FLOW3\MVC\Web\RequestHandler::handleRequest()
1 TYPO3\FLOW3\Core\Bootstrap::run()

Please include more helpful information!

Related issues:
duplicates TYPO3.Neos - Bug # 32841: Access check on page nodes is broken Resolved 2011-12-27

History
#1 - 2012-01-04 21:19 - Karsten Dambekalns
- Project changed from TYPO3.Flow to TYPO3.TYPO3CR
- Category deleted (- Error Handler Report -)

#2 - 2012-01-13 23:43 - Rens Admiraal
- Status changed from New to Under Review

#3 - 2012-01-21 02:41 - Rens Admiraal
- Status changed from Under Review to Resolved

Applied in changeset commit:8e59f8ccd48ab5cbb86666bd72ec9c792881368c.
